Skip to main content
POST
Manually run a tool from an External MCP Connection

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

connectionId
string<typeid>
required

Den TypeID with 'emc_' prefix and a 26-character base32 suffix.

Required string length: 30

Body

application/json
toolName
string
required
Required string length: 1 - 255
arguments
object
required

Response

The MCP tool completed.

referenceId
string
required
durationMs
number
required
Required range: x >= 0
result
any
required
inspection
object
required